> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boost.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get claimable signatures for an address

> Returns all signatures for an address that have not yet been used to claim their associated boost.



## OpenAPI

````yaml https://api-v2.boost.xyz/openapi.json get /signatures/claimable/{address}
openapi: 3.1.0
info:
  title: Boost V2 API
  description: Get Boosts and sign claims for the Boost Validator
  termsOfService: https://rabbithole-assets.s3.amazonaws.com/BoostStudios_Terms_Of_Service.pdf
  contact:
    url: https://airtable.com/appPys6nAx8smVpTA/shrqpPGsDx2W6oY24
    email: support@boost.xyz
  version: 2.0.0
servers:
  - url: https://api-v2.boost.xyz
    description: Boost V2
security: []
paths:
  /signatures/claimable/{address}:
    get:
      tags:
        - Boost
      summary: Get claimable signatures for an address
      description: >-
        Returns all signatures for an address that have not yet been used to
        claim their associated boost.
      operationId: getClaimableSignatures
      parameters:
        - schema:
            type: string
            description: The wallet address to find claimable signatures for
            example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
            pattern: ^0x[a-fA-F0-9]{40}$
          required: true
          in: path
          name: address
      responses:
        '200':
          description: Claimable signatures for the given address
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    boostId:
                      type: string
                      description: The boost ID associated with the signature
                      example: 8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1
                    signature:
                      type: string
                      description: >-
                        Claim signature that can be used with the Boost Protocol
                        V2 claim methods
                    claimant:
                      type: string
                      description: The address for the user making the claim
                      example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                      pattern: ^0x[a-fA-F0-9]{40}$
                    incentiveId:
                      type: number
                      description: The index of the incentive being claimed
                    referrer:
                      type: string
                      description: The address of the referrer
                      example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                      pattern: ^0x[a-fA-F0-9]{40}$
                  required:
                    - boostId
                    - signature
                    - claimant
                    - incentiveId
                    - referrer

````